Package org.apache.sysds.runtime.frame.data.compress

## Class ArrayCompressionStatistics

- java.lang.Object
- - org.apache.sysds.runtime.frame.data.compress.ArrayCompressionStatistics

    public class ArrayCompressionStatistics
    extends Object

### Field Summary

Fields
`ArrayFactory.FrameArrayType` `bestType`
`int` `bytePerValue`
`long` `compressedSizeEstimate`
`boolean` `containsNull`
`int` `nUnique`
`long` `originalSize`
`boolean` `shouldCompress`
`Types.ValueType` `valueType`

### Constructor Summary

Constructors
`ArrayCompressionStatistics​(int bytePerValue, int nUnique, boolean shouldCompress, Types.ValueType valueType, boolean containsNull, ArrayFactory.FrameArrayType bestType, long originalSize, long compressedSizeEstimate)`

### Method Summary

All Methods Instance Methods Concrete Methods
`String` `toString()`

### Methods inherited from class java.lang.Object

`equals, getClass, hashCode, notify, notifyAll, wait, wait, wait`

### Field Detail

#### originalSize

    public final long originalSize

#### compressedSizeEstimate

    public final long compressedSizeEstimate

#### shouldCompress

    public final boolean shouldCompress

#### valueType

    public final Types.ValueType valueType

#### containsNull

    public final boolean containsNull

#### bestType

    public final ArrayFactory.FrameArrayType bestType

#### bytePerValue

    public final int bytePerValue

#### nUnique

    public final int nUnique

### Constructor Detail

#### ArrayCompressionStatistics

    public ArrayCompressionStatistics​(int bytePerValue,
                                      int nUnique,
                                      boolean shouldCompress,
                                      Types.ValueType valueType,
                                      boolean containsNull,
                                      ArrayFactory.FrameArrayType bestType,
                                      long originalSize,
                                      long compressedSizeEstimate)

### Method Detail

#### toString

    public String toString()

Overrides:
  `toString` in class `Object`